/*
 * JPA entity PK template
 */

package de.ivu.elect.business.gebietsbaum.entity;

@javax.enterprise.inject.Vetoed
public class GebietsgruppierungPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<GebietsgruppierungPK> {

  private static final long serialVersionUID = 0L;

  public GebietsgruppierungPK() {
    super();
  }

  public GebietsgruppierungPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "GebietsgruppierungPK:"+getId();
  }

  @Override
  public int compareTo(GebietsgruppierungPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
